LibreOffice: LocaleDataItem Struct Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
LocaleDataItem Struct Referencepublished

Locale specific data, for example, separators, quotation marks. More...

`import"LocaleDataItem.idl";`

## Public Attributes
string | unoID
| internal ID string, not unique, not meaningful to the outer world More...
string | dateSeparator
| date separator, for example, "/" or "." or "-" More...
string | thousandSeparator
| group and thousand separator, for example, "," or "." More...
string | decimalSeparator
| decimal separator, for example, "." or "," More...
string | timeSeparator
| time separator, for example, ":" More...
string | time100SecSeparator
| time 100th seconds separator, for example, "," More...
string | listSeparator
| list separator, for example, ";" More...
string | quotationStart
| single quotation mark start More...
string | quotationEnd
| single quotation mark end More...
string | doubleQuotationStart
| double quotation mark start More...
string | doubleQuotationEnd
| double quotation mark end More...
string | timeAM
| time AM symbol, for example, "AM" or "am" More...
string | timePM
| time PM symbol, for example, "PM" or "pm" More...
string | measurementSystem
| measurement system, "metric" or "us" More...
string | LongDateDayOfWeekSeparator
| long date day of week separator, for example, ", " More...
string | LongDateDaySeparator
| long date day separator, for example, ", " More...
string | LongDateMonthSeparator
| long date month separator, for example, " " More...
string | LongDateYearSeparator
| long date year separator, for example, " " More...

## Detailed Description

Locale specific data, for example, separators, quotation marks.

See also
  XLocaleData for links to DTD of XML locale data files.

## Member Data Documentation

string dateSeparator

date separator, for example, "/" or "." or "-"

string decimalSeparator

decimal separator, for example, "." or ","

string doubleQuotationEnd

double quotation mark end

string doubleQuotationStart

double quotation mark start

string listSeparator

list separator, for example, ";"

string LongDateDayOfWeekSeparator

long date day of week separator, for example, ", "

string LongDateDaySeparator

long date day separator, for example, ", "

string LongDateMonthSeparator

long date month separator, for example, " "

string LongDateYearSeparator

long date year separator, for example, " "

string measurementSystem

measurement system, "metric" or "us"

string quotationEnd

single quotation mark end

string quotationStart

single quotation mark start

string thousandSeparator

group and thousand separator, for example, "," or "."

string time100SecSeparator

time 100th seconds separator, for example, ","

string timeAM

time AM symbol, for example, "AM" or "am"

string timePM

time PM symbol, for example, "PM" or "pm"

string timeSeparator

time separator, for example, ":"

string unoID

internal ID string, not unique, not meaningful to the outer world

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/LocaleDataItem.idl